Bug 1468732 - "install_packages" script outputs incorrect comment for upgrades
"install_packages" script outputs incorrect comment for upgrades
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged, UserExperience
Depends On:
  Show dependency treegraph
Reported: 2017-07-07 14:50 EDT by Chris Duryee
Modified: 2018-03-16 15:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Duryee 2017-07-07 14:50:49 EDT
Description of problem:

If you do an upgrade from ISO with the install_packages script, it will give this output:

# ./install_packages
This script will install the satellite packages on the current machine.
   - Ensuring we are in an expected directory.
   - Copying installation files.
   - Creating a Repository File
   - Creating RHSCL Repository File
   - Checking to see if Satellite is already installed.
   - Satellite is already installed, running 'yum update'.
   - Installation repository will remain configured for future package installs.
   - Installation media can now be safely unmounted.

Upgrade is complete. Please backup your data and run satellite-installer --scenario satellite

Note that it realized it's an upgrade and did the upgrade, but then told the user to run satellite-installer without --upgrade. If you blindly copy/paste the command it gives you, it will error.

Version-Release number of selected component (if applicable): 6.2.9

Note You need to log in before you can comment on or make changes to this bug.